package compbio.controllers;

import java.security.Principal;
import java.util.Map;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import compbio.statistic.CassandraRequester;

/**
 * @author Alexander Sherstnev
 * @author Natasha Sherstneva
 */
@Controller
public class JobLogController {

	@RequestMapping(value = "/job/query", method = RequestMethod.GET)
	public String initFindForm(Map<String, Object> model, Principal principal) {
		model.put("username", principal.getName());
		model.put("value", "jp_NzBOJKo");
		return "queryJobLog";
	}

	@RequestMapping(value = "/job/results", method = RequestMethod.GET)
	public String findJob(@RequestParam("IdJob") String jobid, Map<String, Object> model, Principal principal) {
		model.put("username", principal.getName());
		final long startTime = System.currentTimeMillis();
		CassandraRequester cr = new CassandraRequester();
		model.put("result", cr.readJobLog(jobid));
		final long endTime = System.currentTimeMillis();
		model.put("timeExecution", (endTime - startTime));
		model.put("IdJob", jobid);
		return "reportJobLog";
	}
}
